Bug 117111 - modal dialog frustrates user when package dependency error
modal dialog frustrates user when package dependency error
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 120092
  Show dependency treegraph
 
Reported: 2004-02-28 12:59 EST by John Reiser
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 08:47:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2004-02-28 12:59:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
When graphical up2date detects a package dependency error, then it
gives a Warning! in a modal dialog box which makes it impossible for
the user to scroll through the pacakge list until the modal warning is
dismissed.  So the user must remember the package names and cause(s)
of the error while trying to chnage the package selections.  Instead,
it should be possible to scroll and change the package list while
Warning is still visible.

Version-Release number of selected component (if applicable):
up2date-gnome-4.3.11-2.1

How reproducible:
Always

Steps to Reproduce:
1. Select packages which will cause a dependency error, and try to go
Forward.
2. Get the Warning! about package dependency error.
3. Try to scroll or change the package selection list before
dismissing the Warning.
    

Actual Results:  Scrolling or changing the package selection list is
inhibited as long as the Warning! dialog box has not been dismissed.

Expected Results:  The user should be able to refer to the Warning
while trying to fix the problem by inspecting and changing the package
list.

Additional info:
Workaround: copy+paste the text of the Warning into a temporary editor
buffer, dismiss the Warning dialog.  Now you can scroll and change the
package list.
Comment 1 John Thacker 2006-10-29 08:47:35 EST
Note that FC2 is no longer supported even by Fedora Legacy.  Also, up2date has
been replaced by pirut and pup since FC5.  FC3 and FC4 are supported by Fedora
Legacy for security issues only.  If this still occurs on FC3 or FC4 and is a
security issue, please reopen and assign to that version and Fedora Legacy.  If
it occurs on RHEL 3 or 4, please reassign or refile against that product.

The codebase for pirut and pup is quite different, so existing bugs do not
apply, but please continue testing them on the still supported versions of
Fedora Core and file bugs as necessary.

Note You need to log in before you can comment on or make changes to this bug.